| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ITHistSvc Class Referenceabstract

`#include <GaudiKernel/ITHistSvc.h>`

Inheritance diagram for ITHistSvc:
[legend]
Collaboration diagram for ITHistSvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (ITHistSvc, 2, 0)
| InterfaceID. More...
virtual StatusCode | regHist (const std::string &name)=0
virtual StatusCode | regHist (const std::string &name, TH1 *)=0
virtual StatusCode | regHist (const std::string &name, TH2 *)=0
virtual StatusCode | regHist (const std::string &name, TH3 *)=0
virtual StatusCode | getHist (const std::string &name, TH1 *&) const =0
virtual StatusCode | getHist (const std::string &name, TH2 *&) const =0
virtual StatusCode | getHist (const std::string &name, TH3 *&) const =0
virtual StatusCode | regTree (const std::string &name)=0
virtual StatusCode | regTree (const std::string &name, TTree *)=0
virtual StatusCode | getTree (const std::string &name, TTree *&) const =0
virtual StatusCode | deReg (const std::string &name)=0
virtual StatusCode | deReg (TObject *obj)=0
virtual std::vector< std::string > | getHists () const =0
virtual std::vector< std::string > | getTrees () const =0
virtual std::vector< std::string > | getGraphs () const =0
virtual StatusCode | getTHists (TDirectory *td, TList &, bool recurse=false) const =0
virtual StatusCode | getTHists (const std::string &name, TList &, bool recurse=false) const =0
virtual StatusCode | getTHists (TDirectory *td, TList &, bool recurse=false, bool reg=false)=0
virtual StatusCode | getTHists (const std::string &name, TList &, bool recurse=false, bool reg=false)=0
virtual StatusCode | getTTrees (TDirectory *td, TList &, bool recurse=false) const =0
virtual StatusCode | getTTrees (const std::string &name, TList &, bool recurse=false) const =0
virtual StatusCode | getTTrees (TDirectory *td, TList &, bool recurse=false, bool reg=false)=0
virtual StatusCode | getTTrees (const std::string &name, TList &, bool recurse=false, bool reg=false)=0
virtual StatusCode | regGraph (const std::string &name)=0
virtual StatusCode | regGraph (const std::string &name, TGraph *)=0
virtual StatusCode | getGraph (const std::string &name, TGraph *&) const =0
virtual bool | exists (const std::string &name) const =0
Public Member Functions inherited from IService
| DeclareInterfaceID (IService, 4, 0)
| InterfaceID. More...
virtual StatusCode | sysInitialize ()=0
| Initialize Service. More...
virtual StatusCode | sysStart ()=0
| Start Service. More...
virtual StatusCode | sysStop ()=0
| Stop Service. More...
virtual StatusCode | sysFinalize ()=0
| Finalize Service. More...
virtual StatusCode | sysReinitialize ()=0
| Re-initialize the Service. More...
virtual StatusCode | sysRestart ()=0
| Re-start the Service. More...
Public Member Functions inherited from extend_interfaces< INamedInterface, IStateful >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from extend_interfaces< INamedInterface, IStateful >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...
Protected Member Functions inherited from IService
virtual void | setServiceManager (ISvcManager *)=0

## Detailed Description

Definition at line 19 of file ITHistSvc.h.

## Member Function Documentation

ITHistSvc::DeclareInterfaceID | ( | ITHistSvc | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode ITHistSvc::deReg | ( | const std::string & | name | ) |
| pure virtual

virtual StatusCode ITHistSvc::deReg | ( | TObject * | obj | ) |
| pure virtual

virtual bool ITHistSvc::exists | ( | const std::string & | name | ) | const
| pure virtual

virtual StatusCode ITHistSvc::getGraph | ( | const std::string & | name,
|  | TGraph *& |
| ) |  | const
| pure virtual

virtual std::vector<std::string> ITHistSvc::getGraphs | ( |  | ) | const
| pure virtual

virtual StatusCode ITHistSvc::getHist | ( | const std::string & | name,
|  | TH1 *& |
| ) |  | const
| pure virtual

virtual StatusCode ITHistSvc::getHist | ( | const std::string & | name,
|  | TH2 *& |
| ) |  | const
| pure virtual

virtual StatusCode ITHistSvc::getHist | ( | const std::string & | name,
|  | TH3 *& |
| ) |  | const
| pure virtual

virtual std::vector<std::string> ITHistSvc::getHists | ( |  | ) | const
| pure virtual

virtual StatusCode ITHistSvc::getTHists | ( | TDirectory * | td,
|  | TList & | ,
|  | bool | recurse = `false`
| ) |  | const
| pure virtual

virtual StatusCode ITHistSvc::getTHists | ( | const std::string & | name,
|  | TList & | ,
|  | bool | recurse = `false`
| ) |  | const
| pure virtual

virtual StatusCode ITHistSvc::getTHists | ( | TDirectory * | td,
|  | TList & | ,
|  | bool | recurse = `false`,
|  | bool | reg = `false`
| ) |  |
| pure virtual

virtual StatusCode ITHistSvc::getTHists | ( | const std::string & | name,
|  | TList & | ,
|  | bool | recurse = `false`,
|  | bool | reg = `false`
| ) |  |
| pure virtual

virtual StatusCode ITHistSvc::getTree | ( | const std::string & | name,
|  | TTree *& |
| ) |  | const
| pure virtual

virtual std::vector<std::string> ITHistSvc::getTrees | ( |  | ) | const
| pure virtual

virtual StatusCode ITHistSvc::getTTrees | ( | TDirectory * | td,
|  | TList & | ,
|  | bool | recurse = `false`
| ) |  | const
| pure virtual

virtual StatusCode ITHistSvc::getTTrees | ( | const std::string & | name,
|  | TList & | ,
|  | bool | recurse = `false`
| ) |  | const
| pure virtual

virtual StatusCode ITHistSvc::getTTrees | ( | TDirectory * | td,
|  | TList & | ,
|  | bool | recurse = `false`,
|  | bool | reg = `false`
| ) |  |
| pure virtual

virtual StatusCode ITHistSvc::getTTrees | ( | const std::string & | name,
|  | TList & | ,
|  | bool | recurse = `false`,
|  | bool | reg = `false`
| ) |  |
| pure virtual

virtual StatusCode ITHistSvc::regGraph | ( | const std::string & | name | ) |
| pure virtual

virtual StatusCode ITHistSvc::regGraph | ( | const std::string & | name,
|  | TGraph * |
| ) |  |
| pure virtual

virtual StatusCode ITHistSvc::regHist | ( | const std::string & | name | ) |
| pure virtual

virtual StatusCode ITHistSvc::regHist | ( | const std::string & | name,
|  | TH1 * |
| ) |  |
| pure virtual

virtual StatusCode ITHistSvc::regHist | ( | const std::string & | name,
|  | TH2 * |
| ) |  |
| pure virtual

virtual StatusCode ITHistSvc::regHist | ( | const std::string & | name,
|  | TH3 * |
| ) |  |
| pure virtual

virtual StatusCode ITHistSvc::regTree | ( | const std::string & | name | ) |
| pure virtual

virtual StatusCode ITHistSvc::regTree | ( | const std::string & | name,
|  | TTree * |
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/ITHistSvc.h